#! /bin/sh
#----------------------------------------------------------------------------
# /usr/local/wget.sh - extend wget for file://foo/bar
#
# Creation   : 20.07.2003 fm
# Last Update: 11.10.2005 tb
#
# Copyright (c) 2001-2005 Frank Meyer, frank(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
# e.g.  # #server-name:username:password
#       www.eisfair.org/download/packages:username:password
#----------------------------------------------------------------------------
if [ $# = 0 ]
then
    echo "$0: missing URL"
    exit 1
fi

if [ -f /etc/.wgetrc ]
then
    WGETRC=/etc/.wgetrc
    export WGETRC
fi

urlpwd=/etc/.wget-url-pwd
userpass=''

eval file='$'"$#"

case "$file"
in
        "-"*)
             echo "$0: missing URL"
             exit 1
             ;;
  "file://"*)
             file=`echo "$file" | sed 's#^file://##g'`
             /bin/cp "$file" .
             ;;
           *)
             if [ -f $urlpwd ]
             then
                 for line in `cat $urlpwd|sed -e '/^$/d' -e '/^[# ].*/d'`
                 do
                   # compare url
                   turl=`echo "$line"|sed -e 's/:.*//g'`

                   echo "$@"|grep "$turl" >/dev/null

                   if [ $? -eq 0 ]
                   then
                       # entry found
                       userpass=`echo "$line"|sed -e 's/^[^:]*:/--http-user=/' -e 's/:/ --http-password=/'`
                       break
                   fi
                 done
             fi

             # call wget
             basename=`basename $file`
             /usr/bin/wget -O "$basename" $userpass $@
             ;;
esac
