#!/bin/sh
#----------------------------------------------------------------------------
# /var/install/config.d/environment.sh - apply script for environment
#
# Copyright (c) 2005 Frank Meyer, frank(at)eisfair(dot)org
#
# Creation   : 21.05.2004 max
# Last Update: 11.10.2005 tb
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# Generate all necessary config-files based on the entries
# in /etc/config.d/environment

package='environment'
wgetrcfile='/etc/.wgetrc'

### read configuration file ###
. /etc/config.d/$package

### begin writing wgetrc config ###
{
 echo "ca_directory=/usr/local/ssl/certs"
 echo "check_certificate=off"
} > $wgetrcfile

### http proxy ###
if [ "$HTTP_PROXY" != "" ]
then
    {
     echo "use_proxy=on"
     echo "http_proxy=$HTTP_PROXY"

     if [ "$HTTP_PROXY_USER" != "" ]
     then
         echo "http_user=$HTTP_PROXY_USER"
         echo "http_password=$HTTP_PROXY_PASSWD"
     fi
    } >> $wgetrcfile
fi

chown root.root $wgetrcfile
chmod 660 $wgetrcfile

### copy environment ###
grep -v "^HTTP_PROXY" /etc/config.d/$package > /var/run/$package

chown root.root /var/run/$package
chmod 664 /var/run/$package

exit 0
